View unanswered posts | View active topics



Reply to topic  [ 1 post ] 
FlashDevelop 4.2.0 RTM released 
Author Message
Admin

Joined: Tue Aug 30, 2005 6:14 pm
Posts: 3045
Location: Finland
Reply with quote
:!: This is an old version of the program, please check the releases page for the latest version.

This major release might come as a suprise but we decided to add a new feature that requires a major version; Generic project (*.fdproj). This is a new
all around project type which has only pre, post and run commands and is meant for websites and other compilable projects, for example TypeScript projects.
Also we suggest that all syntax coloring themes should be updated to this version as old themes might have language config files fairly badly out of date
and also there are small additions and changes how they operate. See the extension docs for more info. Enjoy!

If you are updating from releases prior to 4.0.0 Beta, see it's release notes here

Note to customizers:

* FD4 is not compatible with FD3 plugins and requires a clean install when coming from FD3 or FD4 beta releases.

Bug fixes and improvements:

* German localizations updated
* AIR SDK 3.5 and FP 11.5 support added
* Syntax coloring config files are loaded only from *.xml files
* Syntax coloring config is now reloaded after theme install (see docs for Extensions)
* A new generic project type added (*.fdproj) which has only pre, post and run commands
* Git/Mercurial change, don't monitor file rename/delete/move
* The -swf-version option is now set for AIR projects
* Basic completion bug fixes and improvements
* FDBuild now expands environment variables

+ Some other small bug fixes

Contributor credits:

* ir73 & zobo: Constant work on the debugger and the code generation
* Griz & matsumos & Josu: Localization

NOTE: The Japanese translations are partly out of date, feel free to help us!

Mac/Linux virtualization:

* Native helper (Bridge): viewtopic.php?f=9&t=7621
* This is an ALPHA quality feature

Future plans:

* Evaluate TypeScript support
* Good mobile projects integration
* Complete project solutions

Important:

* Microsoft .NET 2.0 SP1 runtime is really required, even if you already have .NET 4.0 installed.
* Get the ActiveX (for IE) Debug Flash Player. This is required by the browser control.
* Get the free Adobe Flex SDK. The free Adobe Flex SDK (2, 3 or 4) is required for ActionScript 3 development if you don't use Flash CS*.
* FlashDevelop setup will offer automatically download Adobe Flex SDK and this is highly recommended.
* Java 1.6+ is required for the Flex compiler for ActionScript 3 development.
* SourceControl plugin depends on TortoiseSVN and TortoiseGit.

:!: If you think the program is good, please donate some money for this project. :!:

Download:

Built from rev. 2443
Download FlashDevelop 4.2.0 RTM


Fri Nov 09, 2012 1:29 pm
Profile WWW
Display posts from previous:  Sort by  
Reply to topic   [ 1 post ] 

Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.